/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Attention1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#include "adaptor.h"
#include <QtCore/QMetaObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>

/*
 * Implementation of adaptor class Attention1Adaptor
 */

Attention1Adaptor::Attention1Adaptor(
	Oscl::Qt::DBus::BlueZ::
	Mesh::Attention1::ContextApi&	contextApi,
	const QDBusConnection&			bus,
	QObject*						parent
	):
    	QDBusAbstractAdaptor(parent),
		_contextApi(contextApi),
		_bus(bus)
		{
    setAutoRelaySignals(true);
	}

Attention1Adaptor::~Attention1Adaptor() {
	}

ushort Attention1Adaptor::GetTimer(ushort element) {
	return _contextApi.getTimerReceived(
				element
				);
	}

void Attention1Adaptor::SetTimer(
		uchar	element_index,
		ushort	timer
		){
	_contextApi.setTimerReceived(
		element_index,
		timer
		);
	}

